Prereq: 1.1

===================================================================
RCS file: RCS/gnus-sum.el,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- 1.1	1997/11/25 10:21:19
+++ 1.2	1997/11/25 10:25:09
@@ -7241,55 +7241,56 @@
   "Make edits to the current article permanent."
   (interactive)
   ;; Replace the article.
-  (if (and (not read-only)
-	   (not (gnus-request-replace-article
-		 (cdr gnus-article-current) (car gnus-article-current)
-		 (current-buffer))))
-      (error "Couldn't replace article")
-    ;; Update the summary buffer.
-    (if (and references
-	     (equal (message-tokenize-header references " ")
-		    (message-tokenize-header
-		     (or (message-fetch-field "references") "") " ")))
-	;; We only have to update this line.
-	(save-excursion
-	  (save-restriction
-	    (message-narrow-to-head)
-	    (let ((head (buffer-string))
-		  header)
-	      (nnheader-temp-write nil
-		(insert (format "211 %d Article retrieved.\n"
-				(cdr gnus-article-current)))
-		(insert head)
-		(insert ".\n")
-		(let ((nntp-server-buffer (current-buffer)))
-		  (setq header (car (gnus-get-newsgroup-headers
-				     (save-excursion
-				       (set-buffer gnus-summary-buffer)
-				       gnus-newsgroup-dependencies)
-				     t))))
-		(save-excursion
-		  (set-buffer gnus-summary-buffer)
-		  (gnus-data-set-header
-		   (gnus-data-find (cdr gnus-article-current))
-		   header)
-		  (gnus-summary-update-article-line
-		   (cdr gnus-article-current) header))))))
-      ;; Update threads.
-      (set-buffer (or buffer gnus-summary-buffer))
-      (gnus-summary-update-article (cdr gnus-article-current)))
-    ;; Prettify the article buffer again.
-    (unless no-highlight
+  (when (buffer-modified-p)		;Changed ?
+    (if (and (not read-only)
+	     (not (gnus-request-replace-article
+		   (cdr gnus-article-current) (car gnus-article-current)
+		   (current-buffer))))
+	(error "Couldn't replace article")))
+  ;; Update the summary buffer.
+  (if (and references
+	   (equal (message-tokenize-header references " ")
+		  (message-tokenize-header
+		   (or (message-fetch-field "references") "") " ")))
+      ;; We only have to update this line.
       (save-excursion
-	(set-buffer gnus-article-buffer)
-	(run-hooks 'gnus-article-display-hook)
-	(set-buffer gnus-original-article-buffer)
-	(gnus-request-article
-	 (cdr gnus-article-current)
-	 (car gnus-article-current) (current-buffer))))
-    ;; Prettify the summary buffer line.
-    (when (gnus-visual-p 'summary-highlight 'highlight)
-      (run-hooks 'gnus-visual-mark-article-hook))))
+	(save-restriction
+	  (message-narrow-to-head)
+	  (let ((head (buffer-string))
+		header)
+	    (nnheader-temp-write nil
+	      (insert (format "211 %d Article retrieved.\n"
+			      (cdr gnus-article-current)))
+	      (insert head)
+	      (insert ".\n")
+	      (let ((nntp-server-buffer (current-buffer)))
+		(setq header (car (gnus-get-newsgroup-headers
+				   (save-excursion
+				     (set-buffer gnus-summary-buffer)
+				     gnus-newsgroup-dependencies)
+				   t))))
+	      (save-excursion
+		(set-buffer gnus-summary-buffer)
+		(gnus-data-set-header
+		 (gnus-data-find (cdr gnus-article-current))
+		 header)
+		(gnus-summary-update-article-line
+		 (cdr gnus-article-current) header))))))
+    ;; Update threads.
+    (set-buffer (or buffer gnus-summary-buffer))
+    (gnus-summary-update-article (cdr gnus-article-current)))
+  ;; Prettify the article buffer again.
+  (unless no-highlight
+    (save-excursion
+      (set-buffer gnus-article-buffer)
+      (run-hooks 'gnus-article-display-hook)
+      (set-buffer gnus-original-article-buffer)
+      (gnus-request-article
+       (cdr gnus-article-current)
+       (car gnus-article-current) (current-buffer))))
+  ;; Prettify the summary buffer line.
+  (when (gnus-visual-p 'summary-highlight 'highlight)
+    (run-hooks 'gnus-visual-mark-article-hook)))
 
 (defun gnus-summary-edit-wash (key)
   "Perform editing command in the article buffer."
